#
# spec file for package yast2-product-creator (Version 2.15.10)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    ConsoleKit PolicyKit aaa_base acl attr audit-libs autoconf automake autoyast2-installation bash binutils blocxx boost bzip2 coreutils cpio cpp cpp42 cracklib cryptsetup curl curl-ca-bundle cvs cyrus-sasl dbus-1 dbus-1-glib dejagnu desktop-translations device-mapper diffutils dirmngr dmraid expat expect file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glib2 glibc glibc-devel glibc-locale gpg2 grep groff gzip hal hwinfo info insserv kpartx less libacl libattr libbz2-1 libbz2-devel libcurl4 libdb-4_5 libexpat1 libgcc42 libgcrypt libgomp42 libgpg-error libicu libidn libksba libltdl-3 libmudflap42 libnscd libopenssl0_9_8 libreadline5 libsmbios-libs libstdc++42 libtool libusb libuuid1 libvolume_id libxcrypt libxml2 liby2util libzio libzypp linux-kernel-headers lvm2 m4 make man mdadm mktemp ncurses net-tools netcfg openldap2-client openssl openssl-certs pam pam-config pam-modules parted patch pcre perl perl-XML-Bare perl-XML-Parser perl-XML-Writer perl-base perl-gettext permissions pinentry pkg-config pmtools popt pth pwdutils rpm sed setserial sqlite sysvinit tar tcl texinfo timezone unzip update-desktop-files util-linux xorg-x11-libX11 xorg-x11-libXau xorg-x11-libxcb yast2 yast2-core yast2-country yast2-devtools yast2-hardware-detection yast2-installation yast2-mouse yast2-packager yast2-pam yast2-perl-bindings yast2-pkg-bindings yast2-security yast2-storage yast2-storage-lib yast2-testsuite yast2-transfer yast2-update yast2-xml zlib

Name:           yast2-product-creator
Version:        2.15.10
Release:        0.1
License:        GPL v2 or later
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-product-creator-2.15.10.tar.bz2
Prefix:         /usr
BuildRequires:  autoyast2-installation perl-XML-Writer update-desktop-files yast2-devtools yast2-packager yast2-security yast2-testsuite
Requires:       yast2-packager autoyast2-installation yast2-security
# GPG.ycp and GPGWidgets.ycp
Requires:       yast2 >= 2.15.2
BuildRequires:  yast2 >= 2.15.2
BuildArch:      noarch
Summary:        YaST2 - Module for Creating New Products

%description
A wizard for creating your own product (installation images, live ISO,
XEN images etc.), based on existing installation sources.



%debug_package
%prep
%setup -n yast2-product-creator-2.15.10

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done
install -d $RPM_BUILD_ROOT/var/lib/YaST2/product-creator

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/product-creator
/usr/share/YaST2/include/product-creator/*
/usr/share/YaST2/clients/product-creator.ycp
/usr/share/YaST2/clients/kiwi.ycp
/usr/share/YaST2/modules/*.ycp
/usr/share/YaST2/modules/*.ybc
%{prefix}/share/applications/YaST2/product-creator.desktop
%{prefix}/share/applications/YaST2/kiwi.desktop
%{prefix}/lib/YaST2/bin/y2mkiso
%doc %{prefix}/share/doc/packages/yast2-product-creator
%dir /usr/share/YaST2/data/product-creator
/usr/share/YaST2/data/product-creator/*
#%dir /etc/YaST2/product-creator
/usr/share/YaST2/scrconf/*.scr
/usr/lib/YaST2/servers_non_y2/ag_*
%changelog
* Fri Oct 26 2007 - jsuchome@suse.cz
- do not read the template name when going from main summary (#337444)
- 2.15.10
* Thu Oct 04 2007 - jsuchome@suse.cz
- add a default user to the iso template (#328145)
- new template based on current kiwi-desc-livesystem (#328003)
- do not allow configuration without name (#328003)
- 2.15.9
* Mon Sep 24 2007 - jsuchome@suse.cz
- do not close module after kiwi failure (#327593)
- check stderr and stdout after kiwi finish/failure (#327610)
- count the maximum size in package selector (#327901)
- kiwi.ycp requires kiwi-desc-*boot
- simpler kiwi template for iso
- 2.15.8
* Sun Sep 02 2007 - jsuchome@suse.cz
- write schemeversion to config.xml
- save new kiwi image configurations to vardir/product-creator
- do not import already imported and modified configuration
- enable modifications of configurations without creating images
- require root for running yast2 kiwi (#309456)
- 2.15.7
* Tue Aug 28 2007 - jsuchome@suse.cz
- include the package from "post-packages" section of autoyast
  profile (#291776)
* Mon Aug 27 2007 - jsuchome@suse.cz
- do not require packages with image descriptions, include required
  files (originally created by ms@suse.de for kiwi-desc-buildservice
  and kiwi-desc-livesystem) as templates (#289552)
- show kiwi error output in separate window
- enable Browse button for output directory
- 2.15.6
* Tue Aug 14 2007 - jsuchome@suse.cz
- enable double-clicks in tables
- 2.15.5
* Fri Aug 10 2007 - jsuchome@suse.cz
- helptext for kiwi UI
- CLI option for gpg passphrase (patch by daniel.rahn and lslezak,
  [#287477])
- 2.15.4
* Thu Aug 09 2007 - jsuchome@suse.cz
- kiwi UI: enable creating config from scratch, with default
  YaST sources
- 2.15.3
* Wed Aug 08 2007 - jsuchome@suse.cz
- yet another fix for "Back" button behavior (#289524)
- enable editing of isolinux.cfg in case of autoYaST usage (#287443)
- 2.15.2
* Thu Aug 02 2007 - jsuchome@suse.cz
- "installation source" changed to "repository"
- mark the output product as "base"
- added simplified UI for kiwi
- 2.15.1
* Wed Jul 25 2007 - lslezak@suse.cz
- fixed "Back" button behavior in the Isolinux configuration
  dialog (#289524)
* Thu Jun 21 2007 - jsuchome@suse.cz
- new version for openSUSE
- 2.15.0
* Mon Jun 18 2007 - jsuchome@suse.cz
- changed "Create ISO image" button label, added missing help text
  (#284276)
- 2.13.7
* Wed Jun 13 2007 - jsuchome@suse.cz
- merged texts from proofreading
- fixed the help text for signing (#283235)
- 2.13.6
* Tue Jun 05 2007 - jsuchome@suse.cz
- kiwi UI: create output directly in output directory to prevent
  problems with kernel symlink (#279981)
- 2.13.5
* Thu May 31 2007 - lslezak@suse.cz
- if the product is not bootable do not create /boot directory,
  skip isolinux.cfg configuration and display a warning message
  (#278731)
- update directory.yast in /media.1 directory
- display error message when a configured source is not found
- 2.13.4
* Wed May 30 2007 - jsuchome@suse.cz
- select the boot image automaticaly, according to the base product
  (#270881)
- 2.13.3
* Tue May 29 2007 - lslezak@suse.cz
- 2.13.2
* Mon May 28 2007 - lslezak@suse.cz
- reinitialize the package manager before creating another image
* Mon May 28 2007 - lslezak@suse.cz
- install "yast2-instserver" package (.content_file agent)
- fixed signing of addon products
- allow spaces in the file names (#275918)
* Wed May 23 2007 - lslezak@suse.cz
- 2.13.1
* Wed May 23 2007 - lslezak@suse.cz
- copy the downloaded packages (moving might fail due to restricted
  permissions)
- use cd:/// URL scheme in add_on_products file to automatically
  add the addons during installation
* Tue May 22 2007 - lslezak@suse.cz
- run the package selector when there is an unresolved dependency
  when creating installation ISO
* Tue May 22 2007 - lslezak@suse.cz
- escape XML entities in URL when writing the config file
  (fixed saving of ISO file URL)
* Mon May 21 2007 - lslezak@suse.cz
- fixed the default boot item in isolinux.cfg for AutoYast
  installation (#275911)
* Mon May 21 2007 - lslezak@suse.cz
- fixed workflow: display the GPG dialog also if an AutoYast
  profile is used for package selection (#275913)
* Mon May 21 2007 - lslezak@suse.cz
- always store isolinux.cfg into the config file, even if there
  is no change (#275914)
* Wed May 16 2007 - jsuchome@suse.cz
- added widgets for 'root' and 'config' directory editation
- updated 'type' value of config.xml to kiwi 1.33
- 2.13.0
* Fri Apr 27 2007 - jsuchome@suse.cz
- added support for virtual disk systems (qemu, VMware)
* Thu Apr 26 2007 - jsuchome@suse.cz
- added support for USB stick images
* Thu Apr 26 2007 - lslezak@suse.cz
- added runPackageSelector() function - general package selection
- start "add" workflow if there is no configuration
- added CDCreator::LoadConfig()/CommitConfig()
* Thu Apr 26 2007 - jsuchome@suse.cz
- save the configuration to cd-creator xml
- read the kiwi configuration from config.xml (ag_kiwi)
- added support for more values (size, unit)
- added XEN image support
* Thu Apr 19 2007 - jsuchome@suse.cz
- run add-on-creator to create new installation sources
- dialogs for Live ISO configuration (F301945)
- install inst-source-utils instead of autoyast2-utils
* Thu Apr 19 2007 - lslezak@suse.cz
- remember and set "taboo" packages
- don't loose user selected packages when changing software selection
- added content file cache - download each content file only once
- detect base product
- copy addons to Addons subdirectory
- create "add_on_products" file
- move downloaded packages (save space, might be faster)
- fixed help text (network sources can be used as the package repository)
- display source aliases
